<header class="world-header">

    <img *ngIf="!wLoading" [src]="world.picture">
    <app-ghost-box *ngIf="wLoading" width="1920" height="650"></app-ghost-box>

    <div class="world-data">
        <div class="container">

            <ng-container *ngIf="!wLoading else loadingHeader">
                <h1 class="world-title">{{world.title}}</h1>
                
                <ul class="flex-list wrap tags">
                    <li *ngFor="let t of world.tags"><a href="">#{{t}}</a></li>
                </ul>

                <p class="description">{{world.description}}</p>

                <p class="world-meta"><a href="">{{world.totalMembers}} Members</a> <a href="">{{world.totalEvents}} Events</a> <a href="">{{world.totalPosts}} Posts</a></p>
            </ng-container>

            <ng-template #loadingHeader>
                <app-ghost-box width="300" height="40" mb="30" mx-auto="true"></app-ghost-box>
                <app-ghost-box width="550" height="20" mb="10" mx-auto="true"></app-ghost-box>
                <app-ghost-box width="600" height="20" mb="10" mx-auto="true"></app-ghost-box>
                <app-ghost-box width="450" height="20" mb="10" mx-auto="true"></app-ghost-box>
                <app-ghost-box width="250" height="20" mb="20" mx-auto="true"></app-ghost-box>
            </ng-template>

        </div>
    </div>
    
</header>

<div class="container world-display">
    
    <aside class="world-sidebar">

        <div class="world-actions" *ngIf="user">

            <button class="btn" *ngIf="!user.membership" (click)="join(true)">Unirse</button>
            <button class="btn" *ngIf="user.membership" (click)="join(false)">
                <app-icon className="icon-check"></app-icon>
                Miembro</button>

            <button class="btn lined" *ngIf="!user.liked" (click)="like(true)">Me gusta</button>
            <button class="btn lined" *ngIf="user.liked" (click)="like(false)">
                <app-icon className="icon-check"></app-icon>
                Te gusta
            </button>


            <a class="btn" routerLink="/c/create">Crear Personaje</a>
            <hr>
            <button class="btn lined">Crear Evento</button>
        </div>

        <section>
            <h3 class="section-title">Anuncios</h3>
            <ul class="unstyled-list">
                <li class="announcement">
                    <a href="">
                        New Event Coming Soon!
                    </a>
                    <span class="meta">
                        <span class="date">Jun 15, 2020</span> by <a routerLink="/u/agiacopinis">agiacopinis</a></span>
                </li>
                <li class="announcement">
                    <a href="">
                        Rules Revision
                    </a>
                    <span class="meta">
                        <span class="date">Apr 13, 2020</span> by <a routerLink="/u/gwankm">gwankm</a></span>
                </li>
                <li class="announcement">
                    <a href="">
                        Admission Policy
                    </a>
                    <span class="meta">
                        <span class="date">Jan 7, 2020</span> by <a routerLink="/u/agiacopinis">agiacopinis</a></span>
                </li>
            </ul>
            <div class="text-right">
                <a class="small" href="">...Browse all announcements</a>
            </div>
        </section>

        <section *ngIf="world">
            <h3 class="section-title">Most Active</h3>
            <ul class="characters-list">
                <li 
                *ngFor="let c of world.characters"
                app-character-tag
                [character]="c"
                [vertical]="true"> 
                </li>
            </ul>
            <div class="text-right">
                <a class="small" href="">...Browse all characters</a>
            </div>
        </section>


        <section *ngIf="world">
            <h3 class="section-title">Moderation</h3>
            <ul class="unstyled-list admins">
                <li *ngFor="let m of world.moderation">
                    <a [routerLink]="'/u/'+m.username">
                        <span class="role">{{m.isAdmin ? 'admin' : 'mod'}}</span>
                        {{m.username}}
                    </a>
                </li>
            </ul>
        </section>

    </aside>
    

    <div class="feed" *ngIf="world">

        <section class="community-rules">
            <div class="icon">
                <app-icon [className]="'icon-pinned'"></app-icon>
            </div>
            <div class="text">
                <h3 class="title">Community Rules <span class="meta">(last update 17 Feb 2018 04:06 PM)</span></h3>
                <span class="subtitle">Membership & posting guidelines, please read before submitting applications and requests, we do not want...</span>
            </div>
        </section>


        <section>
            <h3 class="section-title">Latest Events</h3>

            <ul class="unstyled-list">
                <li class="mb-1" app-event-preview *ngFor="let e of world.events" [event]="e"></li>
            </ul>

            <div class="text-right">
                <a class="small" href="">...Browse all Events</a>
            </div>
        </section>


        <section>
            <h3 class="section-title">Posts</h3>
            <ul class="unstyled-list">
                
                <li *ngFor="let post of world.posts"
                app-post-preview
                [post]="post">
                    <p class="brief">
                        {{ (post.contents.length > 450) ? (post.contents | slice:0:450) + '...' : (post.contents) }} 
                        <a class="text-btn blue" [routerLink]="'/t/'+post.threadUrl">Leer Más</a></p>
                </li>

            </ul>

            <button *ngIf="world.totalPosts > 5" class="show-more">Load more posts</button>
        </section>

    </div>  
    
</div>

<app-modal
#joinModal
[title]="'Join World'"
[subtitle]="'Membership application'"
[hide-footer]="true">
    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Dicta ipsam doloribus perspiciatis sapiente, voluptates voluptatum repellat magni porro veniam molestiae recusandae id ipsa!</p>
    
    <form>
        <div class="form-control">
            <textarea placeholder="Envíanos tus comentarios aquí"></textarea>
        </div>

        <div class="text-right mt-2">
            <button class="btn danger">Cancelar</button>
            <button type="submit" class="btn">Enviar</button>
        </div>
    </form>

</app-modal>